Xfinity plant
Xfinity globe
Community Forum

Xfinity Xfi app and webpage not working - still need upgrade

New Poster

Xfinity Xfi app and webpage not working - still need upgrade

Hi,

I recently received a Cisco DPC3941T, after setup i attempted to use the app and webpage to access xFi but was told I still needed to upgrade my equipment. After several calls to customer service I was told the equipment was not correct I should have received a DOCSIS 3.1 router instead of 3.0.  Is this correct?  If not, can someone please help me get connected to xFi.

Thanks.


Accepted Solutions
Official Employee

Re: Xfinity Xfi app and webpage not working - still need upgrade

Hi jjf3792, your Cisco 3941T device is an xFi compatible Gateway. I took a look into it and it appears that your Gateway has been xFi enabled and you should be able to login to xFi. 

Can you please try again and let me know if you are still experiencing issues?


All Replies
Expert

Re: Xfinity Xfi app and webpage not working - still need upgrade

Here are the three gateways for xFi :

https://www.xfinity.com/support/internet/xfinity-xfi-overview/

"xFi is available to XFINITY Internet service customers with a compatible XFINITY xFi Wireless Gateway (make and model number Arris 1682G, Cisco 3941T or Arris TG3482G). To determine the type of Gateway you have, check the make and model information located on the bottom of your device or sign in to My Account and select Devices to view the make and model."

 

I replaced my 3941T before I started using xFi with the 1862G.  I suggest you swap yours at the nearest Xfinity Store (no charge) for one of the others.

Official Employee

Re: Xfinity Xfi app and webpage not working - still need upgrade

Hi jjf3792, your Cisco 3941T device is an xFi compatible Gateway. I took a look into it and it appears that your Gateway has been xFi enabled and you should be able to login to xFi. 

Can you please try again and let me know if you are still experiencing issues?

New Poster

Re: Xfinity Xfi app and webpage not working - still need upgrade

It is working now. Thanks.